LoadedOntology (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap
Interface LoadedOntology<O>

All Superinterfaces:
  Ontology<O>

All Known Subinterfaces:
  HeavyLoadedOntology<O>

All Known Implementing Classes:
  JENAOntology, OWLAPI3Ontology, OWLAPIOntology

    public interface LoadedOntology<O>

extends Ontology<O>

Method Summary
`Set<? extends Object>` | `getClasses()`
`Set<? extends Object>` | `getDataProperties()`
`Set<? extends Object>` | `getEntities()` Returns all named entities having URI beginning with the ontology URI
`Object` | `getEntity(URI u)`
`Set<String>` | `getEntityAnnotations(Object o)` Returns all the values of the "owl:AnnotationProperty" property for a given entity.
`Set<String>` | `getEntityAnnotations(Object o, String lang)` Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language.
`Set<String>` | `getEntityComments(Object o)` Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity
`Set<String>` | `getEntityComments(Object o, String lang)` Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).
`String` | `getEntityName(Object o)` returns the default name of an entity if specified.
`String` | `getEntityName(Object o, String lang)` returns the default name of an entity in a language (attribute xml:lang) if specified.
`Set<String>` | `getEntityNames(Object o)` Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).
`Set<String>` | `getEntityNames(Object o, String lang)` returns all the names of an entity in a language if specified.
`URI` | `getEntityURI(Object o)`
`Set<? extends Object>` | `getIndividuals()`
`Set<? extends Object>` | `getObjectProperties()`
`Set<? extends Object>` | `getProperties()`
`boolean` | `isClass(Object o)`
`boolean` | `isDataProperty(Object o)`
`boolean` | `isEntity(Object o)`
`boolean` | `isIndividual(Object o)`
`boolean` | `isObjectProperty(Object o)`
`boolean` | `isProperty(Object o)`
`int` | `nbClasses()`
`int` | `nbDataProperties()`
`int` | `nbEntities()`
`int` | `nbIndividuals()`
`int` | `nbObjectProperties()`
`int` | `nbProperties()`
`void` | `unload()`

Methods inherited from interface fr.inrialpes.exmo.ontowrap.Ontology
`getFile, getFormalism, getFormURI, getOntology, getURI, setFile, setFormalism, setFormURI, setOntology, setURI`

Method Detail

### getEntity

    Object getEntity(URI u)
                     throws OntowrapException

  Throws:
    `OntowrapException`

### getEntityURI

    URI getEntityURI(Object o)
                     throws OntowrapException

  Throws:
    `OntowrapException`

### getEntityName

    String getEntityName(Object o)
                         throws OntowrapException

  returns the default name of an entity if specified. otherwise, returns one of its names (e.g., "rdfs:label" property values). Which name is returned is unspecified. In case no such official name is given to the entity it is possible to use the entity URI to return its fragment identifier (after the '#') or last fragment (after the last "/" or just before) in this order. Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityName

    String getEntityName(Object o,
                         String lang)
                         throws OntowrapException

  returns the default name of an entity in a language (attribute xml:lang) if specified. Which name is returned is unspecified. otherwise, returns one of its names (e.g., "rdfs:label" property values) otherwise returns the default name (getEntityName) Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityNames

    Set<String> getEntityNames(Object o,
                               String lang)
                               throws OntowrapException

  returns all the names of an entity in a language if specified. otherwise, returns null

  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the default name
  Throws:
    `OntowrapException`

### getEntityNames

    Set<String> getEntityNames(Object o)
                               throws OntowrapException

  Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).

  Parameters:
    `o` - the entity
  Returns:
    the set of labels
  Throws:
    `OntowrapException`

### getEntityComments

    Set<String> getEntityComments(Object o,
                                  String lang)
                                  throws OntowrapException

  Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).

  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getEntityComments

    Set<String> getEntityComments(Object o)
                                  throws OntowrapException

  Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity

  Parameters:
    `o` - the entity
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getEntityAnnotations

    Set<String> getEntityAnnotations(Object o)
                                     throws OntowrapException

  Returns all the values of the "owl:AnnotationProperty" property for a given entity. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Parameters:
    `o` - the entity
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### getEntityAnnotations

    Set<String> getEntityAnnotations(Object o,
                                     String lang)
                                     throws OntowrapException

  Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### isEntity

    boolean isEntity(Object o)

### isClass

    boolean isClass(Object o)

### isProperty

    boolean isProperty(Object o)

### isDataProperty

    boolean isDataProperty(Object o)

### isObjectProperty

    boolean isObjectProperty(Object o)

### isIndividual

    boolean isIndividual(Object o)

### getEntities

    Set<? extends Object> getEntities()

  Returns all named entities having URI beginning with the ontology URI

  Returns:
    the set of entities

### getClasses

    Set<? extends Object> getClasses()

### getProperties

    Set<? extends Object> getProperties()

### getObjectProperties

    Set<? extends Object> getObjectProperties()

### getDataProperties

    Set<? extends Object> getDataProperties()

### getIndividuals

    Set<? extends Object> getIndividuals()

### nbEntities

    int nbEntities()

### nbClasses

    int nbClasses()

### nbProperties

    int nbProperties()

### nbDataProperties

    int nbDataProperties()

### nbObjectProperties

    int nbObjectProperties()

### nbIndividuals

    int nbIndividuals()

### unload

    void unload()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010